Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.treeframe
Class TreeEditlInputListener

    java.lang.Object
      java.awt.event.MouseAdapter
          info.bioinfweb.treegraph.gui.treeframe.TreeEditlInputListener

All Implemented Interfaces:
  java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener

     class TreeEditlInputListener

extends java.awt.event.MouseAdapter
implements java.awt.event.MouseListener, java.awt.event.KeyListener, java.awt.event.MouseWheelListener

This listener implements the reactions to user inputs for editing the tree in a tree window.

Author:
  Ben Stöver

Field Summary
`protected TreeViewPanel` | `owner`
`static float` | `ZOOM_PER_CLICK`

Constructor Summary
`private` | `TreeEditlInputListener()`
`` | `TreeEditlInputListener(TreeViewPanel owner)`

Method Summary
`private void` | `checkPopup(java.awt.event.MouseEvent e, ConcretePaintableElement selected)`
`protected void` | `doubleClick(java.awt.event.MouseEvent e, ConcretePaintableElement element)`
`private ConcretePaintableElement` | `getElementByPosition(java.awt.event.MouseEvent e)`
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited`

Field Detail

### ZOOM_PER_CLICK

    public static final float ZOOM_PER_CLICK

See Also:
  Constant Field Values

### owner

    protected TreeViewPanel owner

Constructor Detail

### TreeEditlInputListener

    private TreeEditlInputListener()

### TreeEditlInputListener

    public TreeEditlInputListener(TreeViewPanel owner)

Method Detail

### getElementByPosition

    private ConcretePaintableElement getElementByPosition(java.awt.event.MouseEvent e)

### doubleClick

    protected void doubleClick(java.awt.event.MouseEvent e,
                               ConcretePaintableElement element)

### checkPopup

    private void checkPopup(java.awt.event.MouseEvent e,
                            ConcretePaintableElement selected)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `java.awt.event.MouseAdapter`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `java.awt.event.MouseAdapter`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### mouseWheelMoved

    public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

  Specified by:
    `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`
  Overrides:
    `mouseWheelMoved` in class `java.awt.event.MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD